| QxOrm 1.3.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | Friends
qx::QxInvalidValueX Class Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxInvalidValueX : list of invalid values More...

`#include <QxInvalidValueX.h>`

List of all members.

## Public Member Functions
| QxInvalidValueX ()
virtual | ~QxInvalidValueX ()
QString | getCurrentPath () const
void | setCurrentPath (const QString &s)
long | count () const
QxInvalidValue | at (long l) const
void | insert (const IxValidator *pValidator)
void | insert (const QString &sMessage)
void | insert (const QxInvalidValue &invalidValue)
void | insert (const QxInvalidValueX &other)
QString | text () const
void | dump () const
| operator bool () const
## Protected Attributes
QList< QxInvalidValue > | m_lstInvalidValues
| List of invalid values.
QString | m_sCurrentPath
| Current path of validation process.
## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
## Friends
class | boost::serialization::access

## Detailed Description

qx::QxInvalidValueX : list of invalid values

For more informations about QxValidator module, goto the FAQ of QxOrm website : http://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 65 of file QxInvalidValueX.h.

## Constructor & Destructor Documentation

qx::QxInvalidValueX::QxInvalidValueX | ( |  | ) |

virtual qx::QxInvalidValueX::~QxInvalidValueX | ( |  | ) | `[virtual]`

## Member Function Documentation

QxInvalidValue qx::QxInvalidValueX::at | ( | long | l | ) | const

long qx::QxInvalidValueX::count | ( |  | ) | const

void qx::QxInvalidValueX::dump | ( |  | ) | const

QString qx::QxInvalidValueX::getCurrentPath | ( |  | ) | const

void qx::QxInvalidValueX::insert | ( | const IxValidator * | pValidator | ) |

void qx::QxInvalidValueX::insert | ( | const QString & | sMessage | ) |

void qx::QxInvalidValueX::insert | ( | const QxInvalidValue & | invalidValue | ) |

void qx::QxInvalidValueX::insert | ( | const QxInvalidValueX & | other | ) |

qx::QxInvalidValueX::operator bool | ( |  | ) | const`[inline]`

Definition at line 93 of file QxInvalidValueX.h.

template<class Archive >

void qx::QxInvalidValueX::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 99 of file QxInvalidValueX.h.

void qx::QxInvalidValueX::setCurrentPath | ( | const QString & | s | ) |

QString qx::QxInvalidValueX::text | ( |  | ) | const

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 68 of file QxInvalidValueX.h.

## Member Data Documentation

QList<QxInvalidValue> qx::QxInvalidValueX::m_lstInvalidValues`[protected]`

List of invalid values.

Definition at line 72 of file QxInvalidValueX.h.

QString qx::QxInvalidValueX::m_sCurrentPath`[protected]`

Current path of validation process.

Definition at line 73 of file QxInvalidValueX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxValidator/QxInvalidValueX.h